/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000, 2001  Elmar Ludwig
 *
 * Generated automatically from gtklabel.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#ifndef GTOOLKIT_GTKLABEL_H
#define GTOOLKIT_GTKLABEL_H

#include <gtk/gtklabel.h>
#include <GToolKit/GTKMisc.h>

@interface GTKLabel : GTKMisc
+ (GtkType) getType;
+ (id) labelWithStr:(NSString *) str;
- (id) initWithStr:(NSString *) str;
- (void) setText:(NSString *) str;
- (void) setJustify:(GtkJustification) jtype;
- (void) setPattern:(NSString *) pattern;
- (void) setLineWrap:(gboolean) wrap;
- (void) get:(NSString **) str;
- (guint) parseUline:(NSString *) string;
- (void) setDoubleValue:(double) value;
- (void) setIntValue:(int) value;
- (void) setStringValue:(NSString *) value;
- (double) doubleValue;
- (int) intValue;
- (NSString *) stringValue;
@end

#endif /* GTOOLKIT_GTKLABEL_H */
