/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000, 2001  Elmar Ludwig
 *
 * Generated automatically from gtkpacker.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#ifndef GTOOLKIT_GTKPACKER_H
#define GTOOLKIT_GTKPACKER_H

#include <gtk/gtkpacker.h>
#include <GToolKit/GTKContainer.h>

@class GTKWidget;

@interface GTKPacker : GTKContainer
+ (GtkType) getType;
+ (id) packer;
- (id) init;
- (void) addDefaults:(GTKWidget *) child side:(GtkSideType) side anchor:(GtkAnchorType) anchor options:(GtkPackerOptions) options;
- (void) add:(GTKWidget *) child side:(GtkSideType) side anchor:(GtkAnchorType) anchor options:(GtkPackerOptions) options borderWidth:(guint) border_width padX:(guint) pad_x padY:(guint) pad_y iPadX:(guint) i_pad_x iPadY:(guint) i_pad_y;
- (void) setChildPacking:(GTKWidget *) child side:(GtkSideType) side anchor:(GtkAnchorType) anchor options:(GtkPackerOptions) options borderWidth:(guint) border_width padX:(guint) pad_x padY:(guint) pad_y iPadX:(guint) i_pad_x iPadY:(guint) i_pad_y;
- (void) reorderChild:(GTKWidget *) child position:(gint) position;
- (void) setSpacing:(guint) spacing;
- (void) setDefaultBorderWidth:(guint) border;
- (void) setDefaultPad:(guint) pad_x padY:(guint) pad_y;
- (void) setDefaultIpad:(guint) i_pad_x iPadY:(guint) i_pad_y;
@end

#endif /* GTOOLKIT_GTKPACKER_H */
