/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000, 2001  Elmar Ludwig
 *
 * Generated automatically from gtkstyle.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#ifndef GTOOLKIT_GTKSTYLE_H
#define GTOOLKIT_GTKSTYLE_H

#include <gtk/gtkstyle.h>
#include <GToolKit/GTK.h>

@interface GTKStyle : GTK
+ (id) style;
- (id) init;
- (GTKStyle*) copy;
- (GTKStyle*) attach:(GdkWindow *) window;
- (void) detach;
- (GTKStyle*) ref;
- (void) unref;
- (void) setBackground:(GdkWindow *) window stateType:(GtkStateType) state_type;
- (void) applyDefaultBackground:(GdkWindow *) window setBg:(gboolean) set_bg stateType:(GtkStateType) state_type area:(GdkRectangle *) area x:(gint) x y:(gint) y width:(gint) width height:(gint) height;
@end

#endif /* GTOOLKIT_GTKSTYLE_H */
