/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000, 2001  Elmar Ludwig
 *
 * Generated automatically from gtkbox.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#ifndef GTOOLKIT_GTKBOX_H
#define GTOOLKIT_GTKBOX_H

#include <gtk/gtkbox.h>
#include <GToolKit/GTKContainer.h>

@class GTKWidget;

@interface GTKBox : GTKContainer
+ (GtkType) getType;
- (void) packStart:(GTKWidget *) child expand:(gboolean) expand fill:(gboolean) fill padding:(guint) padding;
- (void) packEnd:(GTKWidget *) child expand:(gboolean) expand fill:(gboolean) fill padding:(guint) padding;
- (void) packStartDefaults:(GTKWidget *) widget;
- (void) packEndDefaults:(GTKWidget *) widget;
- (void) setHomogeneous:(gboolean) homogeneous;
- (void) setSpacing:(gint) spacing;
- (void) reorderChild:(GTKWidget *) child position:(gint) position;
- (void) queryChildPacking:(GTKWidget *) child expand:(gboolean *) expand fill:(gboolean *) fill padding:(guint *) padding packType:(GtkPackType *) pack_type;
- (void) setChildPacking:(GTKWidget *) child expand:(gboolean) expand fill:(gboolean) fill padding:(guint) padding packType:(GtkPackType) pack_type;
@end

#endif /* GTOOLKIT_GTKBOX_H */
