/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000, 2001  Elmar Ludwig
 *
 * Generated automatically from gtkcurve.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#ifndef GTOOLKIT_GTKCURVE_H
#define GTOOLKIT_GTKCURVE_H

#include <gtk/gtkcurve.h>
#include <GToolKit/GTKDrawingArea.h>

@interface GTKCurve : GTKDrawingArea
+ (GtkType) getType;
+ (id) curve;
- (id) init;
- (void) reset;
- (void) setGamma:(gfloat) gamma;
- (void) setRange:(gfloat) min_x maxX:(gfloat) max_x minY:(gfloat) min_y maxY:(gfloat) max_y;
- (void) getVector:(int) veclen vector:(gfloat *) vector;
- (void) setVector:(int) veclen vector:(gfloat *) vector;
- (void) setCurveType:(GtkCurveType) type;
@end

#endif /* GTOOLKIT_GTKCURVE_H */
